Bug 1855543 - set invalid value for reserved resource in kubeletconfig will succeed
Summary: set invalid value for reserved resource in kubeletconfig will succeed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.2.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: 4.5.z
Assignee: Harshal Patil
QA Contact: MinLi
URL:
Whiteboard:
Depends On: 1745919
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-10 06:27 UTC by Harshal Patil
Modified: 2020-08-24 15:14 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1745919
Environment:
Last Closed: 2020-08-24 15:13:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1920 0 None closed [release-4.5] Bug 1855543: KubeletConfig: Validate kubeReserved and systemReserved for KubeletConfig 2020-11-12 08:17:12 UTC
Red Hat Product Errata RHBA-2020:3436 0 None None None 2020-08-24 15:14:08 UTC

Comment 5 MinLi 2020-08-17 07:27:05 UTC
verified in version : 4.5.0-0.nightly-2020-08-15-052753

status:
  conditions:
  - lastTransitionTime: "2020-08-17T07:20:52Z"
    message: 'Error: KubeletConfiguration: cpu reservation value cannot be negative
      in kubeReserved'
    status: "False"
    type: Failure
  - lastTransitionTime: "2020-08-17T07:25:06Z"
    message: 'Error: KubeletConfiguration: invalid value specified for cpu reservation
      in kubeReserved, 100++sdm'
    status: "False"
    type: Failure

Comment 7 errata-xmlrpc 2020-08-24 15:13:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.7 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3436


Note You need to log in before you can comment on or make changes to this bug.